Debian Bug report logs - #204975
cdbs: postrm and postinst have useless call to ldconfig

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Sebastien Bacher <seb128@debian.org>

Date: Mon, 11 Aug 2003 16:48:01 UTC

Severity: normal

Tags: patch

Merged with 205142, 364436

Fix blocked by 338219: Mandate ldconfig search list or directories for which ldconfig should be called

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#204975; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Bacher <seb128@debian.org>:
New Bug report received and forwarded. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastien Bacher <seb128@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdbs: postrm and postinst have useless call to ldconfig
Date: Mon, 11 Aug 2003 18:34:35 +0200
Package: cdbs
Version: 0.4.5.2
Severity: normal


I've switched to cdbs for file-roller debian package.  But after building I've these two warnings :

W: file-roller: postinst-has-useless-call-to-ldconfig
W: file-roller: postrm-has-useless-call-to-ldconfig


file-roller has a so file "/usr/lib/bonobo/libfile-roller-component.so", but according to lintian :

"The postinst script calls ldconfig even though no shared libraries are
installed in a directory controlled by the dynamic library loader."


/usr/lib/bonobo is not "controlled by the dynamic library loader", so the call is useless.





Bug reassigned from package `cdbs' to `debhelper'. Request was from Colin Walters <walters@verbum.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 204975 205142. Request was from Colin Walters <walters@verbum.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#204975; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #14 received at 204975@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Sebastien Bacher <seb128@debian.org>, 204975@bugs.debian.org, Colin Walters <walters@verbum.org>, Robert McQueen <robot101@debian.org>, control@bugs.debian.org
Subject: Re: [Build-common-hackers] Bug#204975: cdbs: postrm and postinst have useless call to ldconfig
Date: Mon, 11 Oct 2004 19:34:01 +0200
[Message part 1 (text/plain, inline)]
tags 204975 +patch
thanks

 Feel free to test this attempt at implementing the recommendations of
 the Policy.

   Regards,

-- 
Loïc Minier <lool@dooz.org>
[debhelper-4.2.20_dh-makeshlibs-ldconfig.patch (text/plain, attachment)]

Tags added: patch Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#204975; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #21 received at 204975@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Loïc Minier <lool@dooz.org>, 204975@bugs.debian.org
Subject: Re: Bug#204975: [Build-common-hackers] Bug#204975: cdbs: postrm and postinst have useless call to ldconfig
Date: Mon, 11 Oct 2004 14:25:30 -0400
[Message part 1 (text/plain, inline)]
I do not like this approach, because it makes the package build
dependant on the contents of ld.so.conf. Since various packages modify
that file, there's no canonical list of what directories are used, and
changing behavior based on the contents of the file is asking for
trouble. The other alternative, noted in #205142, of hard-coding the
list of directories from policy into debhelper, is better, but still not
appealing.

Loïc Minier wrote:
> tags 204975 +patch
> thanks
> 
>  Feel free to test this attempt at implementing the recommendations of
>  the Policy.
> 
>    Regards,
> 
> -- 
> Loïc Minier <lool@dooz.org>

> diff -ur debhelper-4.2.20-orig/dh_makeshlibs debhelper-4.2.20/dh_makeshlibs
> --- debhelper-4.2.20-orig/dh_makeshlibs	2004-02-09 05:23:52.000000000 +0100
> +++ debhelper-4.2.20/dh_makeshlibs	2004-10-11 18:09:46.000000000 +0200
> @@ -95,6 +95,17 @@
>  
>  	doit("rm", "-f", "$tmp/DEBIAN/shlibs");
>  
> +	# prepare list of directories seen by ldconfig
> +	my @ld_config_dirnames;
> +	my $ld_conf_fd;
> +	if (open($ld_conf_fd, "/etc/ld.so.conf")) {
> +		@ld_config_dirnames = <$ld_conf_fd>;
> +	} else {
> +		@ld_config_dirnames = ();
> +	}
> +	@ld_config_dirnames = ('/usr/lib', '/lib', @ld_config_dirnames);
> +
> +
>  	# So, we look for files or links to existing files with names that
>  	# match "*.so*". Matching *.so.* is not good enough because of
>  	# broken crap like db3. And we only look at real files not
> @@ -108,6 +119,12 @@
>  	}
>  	open (FIND, "find $tmp -type f \\( -name '*.so' -or -name '*.so.*' \\) $exclude |");
>  	while (<FIND>) {
> +		# the above sets target absolute dirname for this file
> +		# first get a relative dirname
> +		my $target_dirname = dirname $_;
> +		# remove the tmp dir part and add a leading /
> +		$target_dirname =~ s#^$tmp#/#;
> +
>  		my ($library, $major);
>  		my $objdump=`objdump -p $_`;
>  		if ($objdump=~m/\s+SONAME\s+(.+)\.so\.(.+)/) {
> @@ -149,7 +166,11 @@
>  		}
>  		if (defined($library) && defined($major) && defined($deps) &&
>  		    $library ne '' && $major ne '' && $deps ne '') {
> -		    	$need_ldconfig=1;
> +			# see if the target installation directory will be seen
> +			# by ldconfig
> +			$need_ldconfig=1 if grep {
> +				$target_dirname =~ /^$_/
> +			} @ld_config_dirnames;
>  		    	# Prevent duplicate lines from entering the file.
>  		    	my $line="$library $major $deps";
>  			if (! $seen{$line}) {

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#204975; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #26 received at 204975@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Joey Hess <joeyh@debian.org>
Cc: 204975@bugs.debian.org
Subject: Re: Bug#204975: [Build-common-hackers] Bug#204975: cdbs: postrm and postinst have useless call to ldconfig
Date: Tue, 12 Oct 2004 10:46:50 +0200
Joey Hess <joeyh@debian.org> - Mon, Oct 11, 2004:

> I do not like this approach, because it makes the package build
> dependant on the contents of ld.so.conf. Since various packages modify
> that file, there's no canonical list of what directories are used, and
> changing behavior based on the contents of the file is asking for
> trouble. The other alternative, noted in #205142, of hard-coding the
> list of directories from policy into debhelper, is better, but still not
> appealing.

 A lot of things are build dependents, and I think you believe it could
 cause vicious build-conflicts.
   I think you should look at Policy 8.1.1, because there is no such
 list of directories.  You're guaranteed to have /lib and /usr/lib, but
 you *must* run ldconfig when you add to directories listed in
 /etc/ld.so.conf.

 I believe there's no harm in running ldconfig on systems where the list
 of directories is different.  If you think there is, I suggest you
 change the patch I've sent to hardcode the list instead of loading it
 from /etc/ld.so.conf, and you'll have to make sure you update your
 list.

   Regards,

-- 
Loïc Minier <lool@dooz.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#204975; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #31 received at 204975@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: 204975@bugs.debian.org
Subject: Re: Bug#204975: [Build-common-hackers] Bug#204975: cdbs: postrm and postinst have useless call to ldconfig
Date: Mon, 25 Oct 2004 14:07:07 +0200
[Message part 1 (text/plain, inline)]
Joey Hess <joeyh@debian.org> - Mon, Oct 11, 2004:

> I do not like this approach, because it makes the package build
> dependant on the contents of ld.so.conf. Since various packages modify
> that file, there's no canonical list of what directories are used, and
> changing behavior based on the contents of the file is asking for
> trouble. The other alternative, noted in #205142, of hard-coding the
> list of directories from policy into debhelper, is better, but still not
> appealing.

 Here's your hardcoded list.

   Regards,

-- 
Loïc Minier <lool@dooz.org>
[debhelper-4.2.20_dh-makeshlibs-ldconfig-2.patch (text/plain, attachment)]

Disconnected #205142 from all other report(s). Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 204975 205142. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 338219 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 204975 205142 364436. Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:14:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.